#
# spec file for package tcludp
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           tcludp
BuildRequires:  tcl-devel
Url:            http://tcludp.sourceforge.net/
Summary:        UDP Socket Extension for Tcl
Version:        1.0.11
Release:        1.24
License:        BSD-3-Clause
Group:          Development/Libraries/Tcl
Source0:        http://sourceforge.net/projects/tcludp/files/tcludp/%{version}/%{name}-%{version}.tar.gz
Source1:        man.macros
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package makes the UDP protocol available for Tcl interpreters. It
allows access to message-oriented UDP through stream-oriented Tcl
channels.

%prep
%setup -q -n %{name}
chmod a-x ChangeLog license.terms README

%build
%configure --with-tcl=%_libdir --libdir=%tcl_archdir --enable-ipv6
make
make pkgIndex.tcl-hand

%install
make install \
	DESTDIR=%buildroot
for f in %buildroot/%_mandir/*/*; do
    sed -i -e "/man\.macros/r %SOURCE1" -e "/man\.macros/d" $f 
done

%files
%defattr(-,root,root,-)
%doc ChangeLog README license.terms demos
%doc %_mandir/*/*
%tcl_archdir

%changelog
* Tue Mar 31 2015 p.drouand@gmail.com
- Update to version 1.0.11
  * generic/udp_tcl.c,tests/*.test:
  - solved tcl8.6.2 incompatility issue
    (see http://core.tcl.tk/tcl/tktview/1ff0660e6e)
  - updated unit tests
  - added IPV6 support
  - enhanced reuse option for use on all platforms
  - refactored get/set option functions
  - enhanced mcastadd/drop option to be able to specify network
- Specfile cleanup
- Use download Url
* Mon Apr 21 2008 max@suse.de
- New bugfix release: 1.0.8.
  * Use TEA 3.5 to fix some build system problems.
  * Set the close-on-exec flag for the socket.
  * Use socklen_t type correctly.
- Use the new Tcl file system layout.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Dec 14 2005 ro@suse.de
- fix typo in tcl configure script
* Fri Jun 17 2005 max@suse.de
- Moved script library to /usr/share/tcl .
* Fri May 20 2005 max@suse.de
- New version: 1.0.7.
* Tue Apr 26 2005 max@suse.de
- New package: tcludp - UDP sockets for Tcl.
